/* Import de fontes */

@import url('https://fonts.googleapis.com/css2?family=Kanit:wght@700&display=swap');

@import url('https://fonts.googleapis.com/css2?family=Just+Another+Hand&display=swap');

/* Animação das patas */

/* @keyframes pataspc {
    0% {
        translate: 0;
    }
    100% {
        translate: -60vh -50vh;
    }
    
} */

@keyframes pataspc1 {
    0% {
        translate: 0;
        opacity: 0;
        transform: scale(0.75), rotate(-35deg);
    }
    10%{
        transform: scale(1), rotate(-35deg);
    }
    25% {
        opacity: 1;
        translate: -3vh -3vw;
    }
    50% {
        opacity: 0.5;
        /* translate: -13vh -7vw; */
        transform: scale(0.75), rotate(-35deg);
    }
    60% {
        transform: scale(1), rotate(-35deg);
    }
    75% {
        opacity: 1;
        translate: -23vh -17vw;
    }
    90% {
        opacity: 0.5;
        transform: scale(0.75), rotate(-35deg);
    }
    100% {
        opacity: 1;
        translate: -35vh -25vw;
        transform: scale(1), rotate(-35deg);
    }
}


@keyframes pataspc2 {
    0% {
        translate: 0;
        /* opacity: 0; */
        transform: scale(1), rotate(-35deg);
    }
    10% {
        opacity: 1;
    }
    25% {
        opacity: 0.5;
        transform: scale(0.75), rotate(-35deg);
        translate: -7vh -7vw;
    }
    35% {
        transform: scale(1), rotate(-35deg);
    }
    50% {
        opacity: 1;
        translate: -17vh -12vw;
    }
    75% {
        opacity: 0.5;
        transform: scale(0.75) rotate(-35deg);
        /* translate: -27vh -17vw; */
    }
    85% {
        transform: scale(1), rotate(-35deg);
    }
    100% {
        opacity: 1;
        translate: -35vh -25vw;
        transform: scale(0.5), rotate(-35deg);
    }
}
/* Estilização geral */

::selection {
    background: none;
    color: #02B460;
}

body {
    /* background-color: #DDDDDD; */
    background: linear-gradient(180deg, rgba(17, 214, 122, 0.507), #DDDDDD, lightgrey);
    background-repeat: no-repeat;
    margin: 0;
    padding: 0;
    overflow-x: hidden;
    height: 100vh;
    opacity: 1;
    transition: 1s ease;
}

.darkmode {
    background: #3b3b3b;
    opacity: 0.8;
}

.cont1 {
    background-color: #02B460;
    width: 100vw;
    height: 15vh;
    border-bottom-left-radius: 10%;
    border-bottom-right-radius: 10%;
    box-shadow: 0px 2px 50px #01733E;
}

.logo {
    width: 11vh;
    margin: 1vh;
}

.txtcont1 {
    font-size: 3vh;
    float: left;
    font-family: 'Kanit';
    margin: 5vh;
}

.imgcont1 {
    float: right;
    /* font-family: 'Kanit';
    font-size: 2vw; */
    margin: 2vh; 
    width: 5vh;
    transition: 0.8s;
    cursor: pointer;
}

.imgcont1:hover {
    scale: 1.2;
    rotate: 25deg;
}

.welcome {
    text-align: center;
    padding-top: 5vh;
}

.bemvindo {
    font-family: 'Just Another Hand', cursive;
    font-size: 13vh;
    color: #1E1E1E;
}

.nome {
    font-family: 'Kanit';
    font-size: 10vw;
    color: #1E1E1E;
}

.slogan {
    font-family: 'Kanit';
    font-size: 4vh;
}

.change {
    color: aliceblue;
}

/* .patas {
    position: absolute;
    z-index: -1;
    width: 35vw;
    margin-left: 40vw;
    margin-top: 25vw;
    animation-name: pataspc;
    animation-fill-mode: forwards;
    animation-iteration-count: 1;
    animation-duration: 4.5s;
    animation-delay: .1s;
} */

.pata1 {
    position: absolute;
    z-index: -1;
    width: 35vw;
    transform: rotate(-35deg);
    margin-left: 40vw;
    margin-top: 70vh;
    opacity: 0;
    animation-name: pataspc1;
    animation-fill-mode: forwards;
    animation-iteration-count: 1;
    animation-delay: 1s;
    animation-duration: 3s;
}

.pata2 {
    position: absolute;
    z-index: -1;
    width: 35vw;
    transform: rotate(-35deg);
    margin-left: 25vw;
    margin-top: 50vh;
    opacity: 0;
    animation-name: pataspc2;
    animation-fill-mode: forwards;
    animation-iteration-count: 1;
    animation-delay: 1.5s;
    animation-duration: 3s;
}

.botao1 {
    font-family: 'Kanit';
    font-size: 3vw;
    float: left;
    color: #DDDDDD;
    border: 4px solid black;
    vertical-align: middle;
    line-height: 15vh;
    text-align: center;
    width: 35vw;
    height: 15vh;
    margin-top: 20vh;
    margin-left: 1.5vw;
    border-top-left-radius: 50px;
    border-top-right-radius: 50px;
    border-bottom-right-radius: 50px;
    /* background-color: #01733E; */
    background: linear-gradient(180deg, #01733E, #02B460);
    transition: 0.8s ease-in-out;
}

.botao1:hover {
    scale: 1.04;
}

.botao2 {
    font-family: 'Kanit';
    font-size: 3vw;
    float: right;
    color: #DDDDDD;
    border: 4px solid black;
    vertical-align: middle;
    line-height: 15vh;
    text-align: center;
    width: 35vw;
    height: 15vh;
    margin-top: 40vh;
    margin-right: 1vw;
    border-top-left-radius: 50px;
    border-top-right-radius: 50px;
    border-bottom-left-radius: 50px;
    background: linear-gradient(180deg, #01733E, #02B460);
    transition: 0.8s ease-in-out;
}

.botao2:hover {
    scale: 1.04;
}

.botao3 {
    font-family: 'Kanit';
    font-size: 3vw;
    float: left;
    color: #DDDDDD;
    border: 4px solid black;
    vertical-align: middle;
    line-height: 15vh;
    text-align: center;
    width: 35vw;
    height: 15vh;
    margin-top: 20vh;
    margin-left: 1vw;
    border-top-left-radius: 50px;
    border-top-right-radius: 50px;
    border-bottom-right-radius: 50px;
    background: linear-gradient(180deg, #01733E, #02B460);
    transition: 0.8s ease-in-out;
}

.botao3:hover {
    scale: 1.04;
}

.botao4 {
    font-family: 'Kanit';
    font-size: 3vw;
    float: right;
    color: #DDDDDD;
    border: 4px solid black;
    vertical-align: middle;
    line-height: 15vh;
    text-align: center;
    width: 35vw;
    height: 15vh;
    margin-top: 20vh;
    margin-right: 1vw;
    border-top-left-radius: 50px;
    border-top-right-radius: 50px;
    border-bottom-left-radius: 50px;
    background: linear-gradient(180deg, #01733E, #02B460);
    margin-bottom: 2vh;
    transition: 0.8s ease-in-out;
}

.botao4:hover {
   scale: 1.04; 
}

/* Estilização para monitores HD */

@media screen and (min-width: 1366px) and (max-width:1919px) and (min-height: 768px) and (max-height: 1079px) {
    .txtcont1 {
        font-size: 1.5vw;
        margin: 5vh;
    }

    .bemvindo {
        font-family: 'Just Another Hand', cursive;
        font-size: 8vh;
    }

    .nome {
        font-family: 'Kanit';
        font-size: 9vw;
        color: #1E1E1E;
    }

    .slogan {
        font-family: 'Kanit';
        font-size: 3.5vh;
    }
}

/* Estilização para monitores Full HD */

/* Estilização para mobile */

@keyframes patasmobile1 {
    0% {
        translate: 0;
        opacity: 0;
    }
    25% {
        opacity: 1;
        translate: -5vw -5vh;
    }
    50% {
        opacity: 0;
        translate: -10vw -10vh;
    }
    75% {
        opacity: 1;
        translate: -25vw -20vh;
    }
    90% {
        opacity: 0;
    }
    100% {
        opacity: 1;
        translate: -35vw -25vh;
    }
}

@keyframes patasmobile2 {
    0% {
        translate: 0;
        /* opacity: 0; */
    }
    10% {
        opacity: 1;
    }
    25% {
        opacity: 0;
        translate: -5vw -5vh;
    }
    50% {
        opacity: 1;
        translate: -10vw -10vh;
    }
    75% {
        opacity: 0;
        translate: -25vw -20vh;
    }
    100% {
        opacity: 1;
        translate: -35vw -28vh;
    }
}

@media screen and (max-width: 767px) {

    .txtcont1 {
        display: none;
        font-size: 4.5vw;
        margin: 5vh;
        margin-right: 1vh;
        margin-left: 1vh;
    }

    .welcome {
        width: 100vw;
        text-align: center;
    }

    .bemvindo {
        font-family: 'Just Another Hand', cursive;
        font-size: 11vw;
    }

    .nome {
        font-size: 9vw;
    }

    .slogan {
        font-size: 4.5vw;
    }

    .pata1 {
        margin-top: 35vh;
        margin-left: 25vh;
        width: 30vw;
        animation-name: patasmobile1;
        animation-duration: 3s;
        animation-delay: .5s;
        animation-fill-mode: forwards;
        animation-iteration-count: 1;
        opacity: 0;
    }

    .pata2 {
        margin-top: 35vh;
        margin-left: 35vw;
        width: 30vw;
        animation-name: patasmobile2;
        animation-duration: 3s;
        animation-delay: .1s;
        animation-fill-mode: forwards;
        animation-iteration-count: 1;
        opacity: 1;
    }

    .botao1 {
        font-family: 'Kanit';
        font-size: 5vw;
        float: left;
        color: #DDDDDD;
        border: 4px solid black;
        vertical-align: middle;
        line-height: 6vh;
        text-align: center;
        width: 55vw;
        height: 6vh;
        margin-top: 6vh;
        margin-left: 1vw;
        border-top-left-radius: 50px;
        border-top-right-radius: 50px;
        border-bottom-right-radius: 50px;
        background-color: #01733E;
    }

    .botao2 {
        font-family: 'Kanit';
        font-size: 5vw;
        float: right;
        color: #DDDDDD;
        border: 4px solid black;
        vertical-align: middle;
        line-height: 6vh;
        text-align: center;
        width: 55vw;
        height: 6vh;
        margin-top: 6vh;
        margin-right: 1vw;
        border-top-left-radius: 50px;
        border-top-right-radius: 50px;
        border-bottom-left-radius: 50px;
        background-color: #01733E;
    }

    .botao3 {
        font-family: 'Kanit';
        font-size: 5vw;
        float: left;
        color: #DDDDDD;
        border: 4px solid black;
        vertical-align: middle;
        line-height: 6vh;
        text-align: center;
        width: 55vw;
        height: 6vh;
        margin-top: 6vh;
        margin-left: 1vw;
        border-top-left-radius: 50px;
        border-top-right-radius: 50px;
        border-bottom-right-radius: 50px;
        background-color: #01733E;
    }

    .botao4 {
        font-family: 'Kanit';
        font-size: 5vw;
        float: right;
        color: #DDDDDD;
        border: 4px solid black;
        vertical-align: middle;
        line-height: 6vh;
        text-align: center;
        width: 55vw;
        height: 6vh;
        margin-top: 6vh;
        margin-right: 1vw;
        border-top-left-radius: 50px;
        border-top-right-radius: 50px;
        border-bottom-left-radius: 50px;
        background-color: #01733E;
    }
}
